# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models

class Pestinfo(models.Model):
    date = models.CharField(max_length=40)
    adressid = models.CharField(max_length=8)
    pestname = models.CharField(max_length=40)
    pestfirstgrade = models.CharField(max_length=40)
    pestsecondgrade = models.CharField(max_length=40)
    researchpeople = models.CharField(max_length=8)
    remark = models.CharField(max_length=255)
    pestpicurl1 = models.CharField(max_length=255)
    pestpicurl2 = models.CharField(max_length=255)
    longitude = models.CharField(db_column='Longitude', max_length=40)  # Field name made lowercase.
    latitude = models.CharField(db_column='Latitude', max_length=40)  # Field name made lowercase.
    id = models.AutoField(db_column='Id', primary_key=True)  # Field name made lowercase.

    class Meta:
        managed = False
        db_table = 'PestInfo'


class DjangoMigrations(models.Model):
    app = models.CharField(max_length=255)
    name = models.CharField(max_length=255)
    applied = models.DateTimeField()

    class Meta:
        managed = False
        db_table = 'django_migrations'


class Loginuser(models.Model):
    id = models.AutoField(db_column='Id', primary_key=True)  # Field name made lowercase.
    username = models.CharField(max_length=20)
    password = models.CharField(max_length=20)

    class Meta:
        managed = False
        db_table = 'loginuser'


class Pestdic(models.Model):
    pestname = models.CharField(max_length=40, blank=True, null=True)
    pestfirstgrade = models.CharField(max_length=40, blank=True, null=True)
    pestsecondgrade = models.CharField(max_length=40, blank=True, null=True)
    parent = models.IntegerField(blank=True, null=True)
    deep = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'pestdic'